Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogicx.jsp.tags
Class QueryTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--weblogicx.jsp.tags.QueryTag

public class QueryTag
extends javax.servlet.jsp.tagext.BodyTagSupport

The query tag allows you execute SQL against a data source and manipulate the results of the query.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`QueryTag()`

Method Summary
`int` | `doAfterBody()`
`void` | `doInitBody()`
`int` | `doStartTag()`
`java.lang.String` | `getDb()`
`java.lang.String` | `getId()`
`java.lang.String` | `getSql()`
`void` | `release()` Clean up on failure of the body to execute.
`void` | `setDb(java.lang.String db)` This is the name of the datasource as specified in the war file.
`void` | `setId(java.lang.String id)` The id of the ResultSet returned from the query.
`void` | `setSql(java.lang.String sql)` This is the SQL query to execute against the datasource.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryTag

    public QueryTag()

Method Detail

### setId

    public void setId(java.lang.String id)

  The id of the ResultSet returned from the query.

  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setSql

    public void setSql(java.lang.String sql)

  This is the SQL query to execute against the datasource.

### getSql

    public java.lang.String getSql()

### setDb

    public void setDb(java.lang.String db)

  This is the name of the datasource as specified in the war file.

### getDb

    public java.lang.String getDb()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport

### doInitBody

    public void doInitBody()
                    throws javax.servlet.jsp.JspException

  Overrides:
    doInitBody in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

### release

    public void release()

  Clean up on failure of the body to execute.

  Overrides:
    release in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD